<?php

@( (bool)FALSE === strpos( $_SERVER['REQUEST_URI'], basename( __FILE__ ) ) ) OR exit( '!! ACCESS DENIED !!' );
error_reporting( _E_VALUE );


/* vim: set expandtab tabstop=4 shiftwidth=4: */
// +----------------------------------------------------------------------+
// | myPHPNuke Version 188_8 RC2                                          |
// +----------------------------------------------------------------------+
// | License: GNU/GPL - http://www.gnu.org/copyleft/gpl.html              |
// +----------------------------------------------------------------------+
// | Support: http://myphpnuke.com/                                       |
// +----------------------------------------------------------------------+
// | Author: myPHPNuke Dev Team                                           |
// +----------------------------------------------------------------------+
// | Copyright: © 2001-2004 myPHPNuke Dev Team                            |
// +----------------------------------------------------------------------+
// $Id: main.php,v 1.4.2.4 2004/08/15 12:58:20 kirilt Exp $

checkAccess( 'modules', array( 'mpn' ) );

include ("admin/myyp/myyp.$phpEx");

global $hlpfile;
$hlpfile = getHelpFile("myyp.htm","myphpnuke");

if (!isset( $op ))
{
    $op = null;
}

switch ($op) {
        default:
            include("header.$phpEx");
                        admin_menu();
            businesses();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "delNewBiz":
            include("header.$phpEx");
            admin_menu();
            delNewBiz();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "approve":
            include("header.$phpEx");
            admin_menu();
            approve();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "addCat":
            include("header.$phpEx");
            admin_menu();
            addCat();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "addSubCat":
            include("header.$phpEx");
            admin_menu();
            addSubCat();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "addBiz":
            include("header.$phpEx");
            admin_menu();
            addBiz();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "cleanVotes":
            include("header.$phpEx");
            admin_menu();
            cleanVotes();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "listBrokenLinks":
            include("header.$phpEx");
            admin_menu();
            listBrokenLinks();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "delBrokenLinks":
            include("header.$phpEx");
            admin_menu();
            delBrokenLinks();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "ignoreBrokenLinks":
            include("header.$phpEx");
            admin_menu();
            ignoreBrokenLinks();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "listModReq":
            include("header.$phpEx");
            admin_menu();
            listModReq();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "changeModReq":
            include("header.$phpEx");
                admin_menu();
            changeModReq();
            echo "<br>";
            include("footer.$phpEx");
            break;
            case "ignoreModReq":
            include("header.$phpEx");
            admin_menu();
            ignoreModReq();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "delCat":
            include("header.$phpEx");
            admin_menu();
            delCat();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "modCat":
            include("header.$phpEx");
            admin_menu();
            modCat();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "modCatS":
            include("header.$phpEx");
            admin_menu();
            modCatS();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "modBiz":
            include("header.$phpEx");
            admin_menu();
            modBiz();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "modBizS":
            include("header.$phpEx");
            admin_menu();
            modBizS();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "delBiz":
            include("header.$phpEx");
            admin_menu();
            delBiz();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "delVote":
            include("header.$phpEx");
            admin_menu();
            delVote();
            echo "<br>";
            include("footer.$phpEx");
            break;
        case "delComment":
            include("header.$phpEx");
            admin_menu();
            delComment($bid, $rid);
            echo "<br>";
            include("footer.$phpEx");
            break;

}


?>
